Plenty of script-driven applications, especially paid content management systems, encrypt their files so as to make sure that they won't be reverse engineered or tampered with. Most of them use an application known as ionCube PHP Encoder to do this, so when you get a paid script and you'd like to set it up in a hosting account, an instrument known as ionCube Loader needs to be present on the server. Without having it, you can't install the script or in case you somehow find a way to do this, it won't function efficiently as almost all of the script code will be encrypted to a point where it can't be interpreted. That is why, you should make sure that ionCube Loader is present when you get a fresh hosting account and you wish to employ some paid web app. If you acquire a shared web hosting account and the instrument is not present, it cannot be added since the entire server PHP environment will have to be compiled again.

IonCube in Hosting

IonCube Loader is supplied with each and every hosting that we supply and you can enable it anytime with just a couple of clicks, so you'll be able to take advantage of script apps that require it. You are able to do this through the PHP Configuration section of the Hepsia Control Panel and all it will take to enable or deactivate ionCube is to click a single button. The change will take effect in a minute, which means that you are able to go ahead and install the app that you need without delay. The same section will allow you to change the PHP release which is active for your account, as we support numerous versions on our advanced cloud platform. In case you switch to a version that you have never used so far, you will need to enable ionCube Loader again. More advanced users can use a php.ini file in a particular domain folder so as to set a PHP release different from the one for the whole account or enable/disable ionCube Loader.

IonCube in Semi-dedicated Servers

In case you get a semi-dedicated server package from our company, you can use any kind of script-driven app that needs ionCube Loader due to the fact that the tool is available on all servers that are a part of our modern cloud website hosting platform. Furthermore, we support various releases of PHP, which means that if you switch from PHP 4 to 5.2 or 5.3, for instance, you can enable ionCube for this particular release with just a click from your Hepsia Control Panel. Our platform will remember your choice, so if you switch back to the previous release of PHP, the tool will already be active. For more tech-savvy users, we also offer the option to pick the PHP version and if ionCube will be active or not for a specific domain without altering the settings for the whole hosting account. This can be done by putting a php.ini file in a domain folder with several lines of code.